Questions tagged [pip]

PIP (Package Installer for Python) is a package manager for the Python language.

Filter by
Sorted by
Tagged with
0 votes
0 answers
163 views

Install pip3 on new Ubuntu Server 22.04 install (Raspberry Pi)

I have just installed Ubuntu Server 22.04 LTS on my RPi, and I cannot for the life of me get pip3 to install. (It should already be there, no?) Here's my /etc/os-releasse: PRETTY_NAME="Ubuntu 22....
user avatar
0 votes
0 answers
132 views

pipx module is failing to install with ssl error on centos, how to fix this?

I am using centos 8 on aws ec2 instance. cat /etc/centos-release CentOS Linux release 8.5.2111 I tried with python 3.9.5 python3 -m pip --disable-pip-version-check -qqq install --upgrade --user pipx ...
user avatar
0 votes
0 answers
85 views

Random segmentation fault errors on apt, pip, pipenv

One day after a normal restart, my debian system started throwing random segmentation faults on apt install/update/remove, pip commands, and anything that used pip. I've followed numerous guides to ...
user avatar
0 votes
1 answer
40 views

'pip3 freeze' and 'sudo pip3 freeze' are different

On my system (Raspbian Buster, raspberry pi CM4), packages installed with 'pip3 install ' are not available when I run 'sudo python3': $ pip3 freeze |grep numpy numpy==1.21.5 $ sudo python3 Python 3.7....
user avatar
0 votes
0 answers
15 views

How to package rpm with vitualenv?

We are creating an rpm file with fpm As part of our product, when I check the existing project code, old developer using fpm to package the product and also set python3 as dependency. So whenever the ...
user avatar
0 votes
1 answer
37 views

Centos 7.9 python3 cant find modules installed via yum

My stub python3 program cannot find the "pytz" module: [me@mybox]$ uname -a Linux portal2 3.10.0-1160.53.1.el7.x86_64 #1 SMP Fri Jan 14 13:59:45 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux [me@...
user avatar
0 votes
1 answer
867 views

pip install mysqlclient on cloudlinux

I can't install mysqlclient on my cpanel cloudlinux server. It show this issue when i activate the project source and trying to install mysqlclient. Collecting mysqlclient Using cached mysqlclient-2....
user avatar
0 votes
0 answers
19 views

numpy install on osx

I am having troubles installing numpy on my MacBook Pro (13-inch, M1, 2020) with Monterey 12.1. When I pip install numpy 1.18 I get: numpy/core/src/private/npy_fpmath.h:48:6: error: No long double ...
user avatar
  • 101
0 votes
0 answers
78 views

Self hosted pip repository

I tried to create a self-hosted pip repository to host pip packages in my cloud server. to clone all the pip packages I used the Bandersnatch mirror command but it was cloning data more than 500GB, I ...
user avatar
0 votes
1 answer
345 views

Strange ERROR: Could not find a version... during pip install

Any idea about this strange error: ERROR: Could not find a version that satisfies the requirement pycrypto==2.6.1 (from versions: 2.0.1, 2.1.0, 2.2, 2.3, 2.4, 2.4.1, 2.5, 2.6, 2.6.1) ERROR: No ...
user avatar
  • 217
0 votes
0 answers
29 views

Ansible ec2_tag failing due to missing boto dependency, which is installed

I am trying to set the tag on a resource on my EC2 machine, per below: - hosts: machinesA tasks: - name: Adding tags ec2_tag: resource: {{ imageid }} region: {{ region }} ...
user avatar
  • 1,614
0 votes
1 answer
1k views

Upgrade python 2 to 3.8.8 on suse Linux and Install pip3

I have Python 2.9 on my suse-linux machine (SUSE Linux Enterprise Server 12 SP1). I have upgraded it to Python 3.8.8. When I try to install pip using zypper install python3-pip It says python3-pip ...
user avatar
  • 1
0 votes
1 answer
498 views

Installing pyobdc

I'm trying to install pyodbc using pip3 but getting the below error: [hvr@07EUW1HVRHAP02A ~]$ pip3 install pyodbc Collecting pyodbc Using cached https://files.pythonhosted.org/packages/81/0d/...
user avatar
0 votes
1 answer
630 views

remotely installing python and pip packages

I'm trying to install python with pip packages remotely on an Azure VM using powershell. The script deployed to the VM: Start-Process 'F:\python-3.9.5-amd64.exe'-ArgumentList ("/passive", &...
user avatar
  • 5
0 votes
2 answers
2k views

pip not working on ubuntu 18, how to fix that?

ubuntu@ip-172-31-18-233:my_folder$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 18.04.5 LTS Release: 18.04 Codename: bionic I installed pip ...
user avatar
  • 257
3 votes
0 answers
650 views

Use SNI with pip/pypi on Ubuntu 14 Trusty

pip no longer works on old versions of Python 2, because https://pypi.python.org/ now requires Server Name Indication (SNI), which isn't available in Python 2.7.6, the version of Python that comes ...
user avatar
2 votes
1 answer
3k views

Python3.8 pip ProxyError: Cannot connect to proxy on CentOS Linux release 7.9.2009

Im having trouble installing libraries using pip in my freshly installed CentOS 7 (7.9.2009) server. I installed python 3.8.3 and upgrade the pip right away to the latest version 21.0.1. Already ...
user avatar
  • 121
2 votes
1 answer
647 views

pip upgrade downloading every previous version until storage is full

On CentOS 7, I am trying to upgrade awscli: /usr/bin/python3 -m pip install awscli --upgrade --user Why is this downloading every single previous version, until there is finally no space left on ...
user avatar
  • 451
0 votes
0 answers
21 views

Pip packages updated log

A few days ago I updated all pip packages on Ubuntu 20.04 with this command: pip list --outdated --format=freeze | grep -v '^\-e' | cut -d = -f 1 | xargs -n1 pip install -U Does exists any way to ...
user avatar
  • 1
8 votes
3 answers
34k views

CryptographyDeprecationWarning: Python 2 is no longer supported by the Python core team

I'm trying to run docker-compose (which was installed via pip), yet running into following error: # pip install --quiet docker-compose # docker-compose ps /usr/local/lib/python2.7/dist-packages/...
user avatar
  • 12.3k
6 votes
1 answer
9k views

Ansible - pip3 install fails

I am trying to install Ansible on CentOS 7, and have Ansible configured to use Python 3. I've both Python2 and Python3 installed. [root@ansible1 ~]# python --version Python 2.7.5 [root@ansible1 ~]# ...
user avatar
0 votes
2 answers
2k views

how to install certbot on Amazon Linux 2

I have an EC2 VM running Amazon Linux release 2 (Karoo) How can I get certbot? It comes with the awscli tools installed, which seem to be incompatible with the certbot in epel: $ sudo bash # yum ...
user avatar
  • 596
0 votes
1 answer
486 views

how can I ask pip (python package installer) to use different proxy servers for different urls?

I am currently in the following situation: my company has a proxy server for all external sites, but all internal hosts are direct connect only. Accessing them through the proxy will result in a proxy ...
user avatar
1 vote
1 answer
807 views

Python pip installing grpcio kills connections to my Google Compute Instance?

I'm seeing a strange issue when I try to install the Pip package "google-cloud-datastore" where once it starts building the dependent "grcpio" wheel, all TCP (including SSH) connections to the ...
user avatar
1 vote
0 answers
105 views

What is the differences between to install docker-compose by binary or by pip install

We have two option that we can use in order to install the docker-compose We already installed docker , and now we want to install docker compose on production environment One option is by binary ...
user avatar
5 votes
2 answers
10k views

Ubuntu 20.04 minimal: "Unable to locate package python-pip"

Launching some small VMs in GCP and thought I would give Ubuntu 20.04 LTS minimal a try. After doing an "apt update; apt upgrade" I'm able to install packages like Apache, but having zero luck with ...
user avatar
1 vote
1 answer
704 views

Cannot `pip install flask` in Python3.6 virtual environment

I'm trying to follow a MS DevOps tutorial here: https://microsoft.github.io/PartsUnlimitedMRP/pandp/200.1x-PandP-LocustTest.html I've tried Ubuntu and CentOS, both produce the exact same failure: (...
user avatar
0 votes
0 answers
67 views

How to query the `pip` command, to get the FQDM it will use?

Is there a way to query the pip command (or another way), to get the FQDN of the server pip will use (e.g., in pip install)?
user avatar
0 votes
2 answers
765 views

Django import error while installing Tacker via Devstack: No module named django.core.management

I am trying to install Tacker via Devstack. I am following this installation guide. I use same local.conf as in the guide. However, after running ./stack.sh, I see this error: Requirement already ...
user avatar
4 votes
1 answer
122 views

Python 3.6.3 virtual environment issue in CentOS7 - "Error: Could not connect to Docker (is it running?)"

I have a virtualenv issue in my CentOS7 VM: Checking for virtualenv... Activating virtual environment /home/crimson/venv/python3 /home/crimson/venv/python3/myvra.json matches /home/crimson/venv/myvra....
user avatar
4 votes
1 answer
1k views

Installing certbot - error - "nothing provides pyparsing"

I'm trying to set up let's encrypt on my Amazon ec2 RHEL nginx server, via the command $ sudo yum install certbot-nginx but it keeps failing: $ sudo yum install certbot-nginx Last metadata expiration ...
user avatar
1 vote
0 answers
13 views

does the pip installer respect existing pip configurations?

I am trying to deploy pip following this guide: https://pip.pypa.io/en/stable/installing/ If i deploy a pip.conf specifying the index server will the installer respect it and fetch the packages from ...
user avatar
  • 660
1 vote
3 answers
936 views

Red Hat + pip + virtualenv + proxy = Error

i've an issue: my corporate proxy kill every pip-installation. export http_proxy= doesn't works: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken ...
user avatar
3 votes
2 answers
3k views

GCP support after Python 2.7 Deprecation on Genuary 2020

After upgrading pip to the latest version (19.0.1) I got the following message: DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 ...
user avatar
  • 49
1 vote
2 answers
137 views

copyright or convention in pip naming

When I try to install janitor using pip install janitor Some unexpected module gets installed: https://github.com/yoloseem/janitor In order to install the correct one, I need to change my pip ...
user avatar
  • 3,459
1 vote
1 answer
5k views

pip install failed on is not a supported wheel on this platform

we want to use pip in order to install - MarkupSafe-1.1.0-cp27-cp27m-manylinux1_x86_64.whl from uname -a we have uname -a Linux Master 3.10.0-327.el7.x86_64 #1 SMP Thu Oct 29 17:29:29 EDT 2015 ...
user avatar
  • 451
1 vote
2 answers
4k views

Can I create a virtualenv offline (without internet) on CentOS/Redhat?

Can I create a virtualenv offline (without internet) on CentOS/Redhat? if yes what are all the dependencies I've to download? with python 2.7
user avatar
  • 135
0 votes
0 answers
287 views

How to remove python-virtualenv RPM using commands that are run from an installing RPM?

I need to install virtualenv from an RPM. I do this from the RPM's post-install script, with the following: pip2 install pip --upgrade pip2 install virtualenv --upgrade However, the pip2 install ...
user avatar
0 votes
1 answer
49 views

Why is pip using deprecated settings?

My pip install is trying to contact the wrong server (a server I used in the past, but now deprecated): I see this because the installation of a package is timing out. Two questions: Where is pip ...
user avatar
  • 3,920
0 votes
3 answers
3k views

Ansible pyenv virtualenv gives error for pip

I have ansible task - name: Install setuptools in virtual environment pip: name: setuptools-git virtualenv: "myenv" virtualenv_command: "/root/.pyenv/bin/pyenv virtualenv 2.7.13" ...
user avatar
  • 255
0 votes
1 answer
238 views

pip installed under old version of python

I installed Python 2.6 and pip on centos 6.4. I also upgraded python to 2.7.6 and updated bashrc to reference 2.7.6 for the python command. Pip however, remains under 2.6 and any attempt to reinstall ...
user avatar
  • 103
2 votes
1 answer
18k views

easy_install and pip fail with SSL warnings

I'm looking after some RHEL6 servers and trying to set them up to use an internal PyPi server (proxied by Nexus 3). The problem is that our internal PyPi server is one of several SSL VHosts on the ...
user avatar
  • 449
0 votes
1 answer
143 views

Cannot upgrade pyhon-html5lib

on my Ubuntu 14.04 LTS when I run: dpkg -l python-html5lib I'm receiving: ||/ Name Version Architecture Description +++-====...
user avatar
0 votes
1 answer
2k views

Ansible: Pip install directly from s3 using s3 module

How do I Pip install directly from s3 using s3 module in Ansible? with git I would: - name: Install module from git repo pip: name=\"git+git@bitbucket.org:MYORG/REPONAME.git\" executable=/usr/...
user avatar
10 votes
2 answers
162k views

How Uninstall pip and python [closed]

I wanted to install version 3 of python and pip but instead issued sudo apt-get install python-pip python-dev how do I uninstall python and pip, I tried sudo apt-get uninstall but did not work, what ...
user avatar
2 votes
2 answers
12k views

why yum could not find the python-pip packages on some PCs

I got a very strange problem and cannot figure out why. When I run yum info python-pip command on some CentOS 7 machines, it returns Error: No matching Packages to list. But, I used to install python-...
user avatar
  • 91
0 votes
2 answers
2k views

Failed to install the ansible with pip

I tried to install ansible with the following commands: docker run -ti --rm ubuntu:14.04 bash echo "===> Updating cache..." && \ apt-get update && \ \ \ echo "==...
user avatar
0 votes
1 answer
38 views

PyPi Django installation incomplete

I've encountered an interesting issue, and haven't yet managed to solve it with Google. I'm using virtualenv+python3.5. After a number of ImportErrors, I came to a conclusion that my Django ...
user avatar
  • 111
0 votes
1 answer
2k views

Pip + virtualenv + Redhat SCL + proxy = not working

I am setting up a virtualenv based on Python 2.7 in Redhat Enterprise 6 (which ships with 2.6.x by default). I installed the SCL 2.7 version of Python and then created the virtualenv: $ scl enable ...
user avatar
3 votes
1 answer
1k views

CentOS6.X: letsencrypt, cronjob and wrong "pip version"

I'm trying to write a script which will update the letsencrypt cert automatically via cronjob on up-to-date CentOS6.x. To do that I wrote have following script: #!/bin/sh # # get newest "Let's ...
user avatar
  • 929